POST /apispecgenerate
/apispecgenerate
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
ApiSpecGenerate object creation
{
"_last_modified": "string",
"completed_events": 0,
"duration": 0,
"end_time": "string",
"name": "string",
"params": {
"api_policy_ref": "string",
"file_object_ref": "string",
"format": "string",
"name": "string"
},
"path": "string",
"progress": 0,
"start_time": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"task_events": [
{
"nodes_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"sub_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"task_name": "string"
}
],
"tenant_ref": "string",
"total_events": 0,
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Number of tasks completed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Spec generation duration in seconds. Field introduced in 32.1.4. Unit is SEC. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Time the spec generation completed or failed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
params
Path to the generated spec file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Overall spec generation progress percentage. Allowed values are 0-100. Field introduced in 32.1.4. Unit is PERCENT. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Time the spec generation started. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
state
Per-task status and event details. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of tasks. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
url
UUID of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
OK
{
"_last_modified": "string",
"completed_events": 0,
"duration": 0,
"end_time": "string",
"name": "string",
"params": {
"api_policy_ref": "string",
"file_object_ref": "string",
"format": "string",
"name": "string"
},
"path": "string",
"progress": 0,
"start_time": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"task_events": [
{
"nodes_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"sub_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"task_name": "string"
}
],
"tenant_ref": "string",
"total_events": 0,
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Number of tasks completed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Spec generation duration in seconds. Field introduced in 32.1.4. Unit is SEC. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Time the spec generation completed or failed. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
params
Path to the generated spec file. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Overall spec generation progress percentage. Allowed values are 0-100. Field introduced in 32.1.4. Unit is PERCENT. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Time the spec generation started. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
state
Per-task status and event details. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of tasks. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
url
UUID of the spec generation object. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/apispecgenerate